> For the complete documentation index, see [llms.txt](https://docs.aurowallet.com/general/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sendstakedelegation.md).

# mina\_sendStakeDelegation

This method is used by zkApp to call Auro Wallet stake delegation.

### Params

```typescript
type SendStakeDelegationArgs  = {
    // block producer address. require base58 address.
    readonly to: string,
    // option. Auro Wallet also provide advance option to change fee.
    readonly fee?: number,
    // option.
    readonly memo?:string
}
```

### Result

```typescript
type SendTransactionResult = {
    // broadcast hash, you can query tx info by this hash.
    hash: string
}

interface ProviderError extends Error {
    message: string; // error message.
    code: number; // error code.
    data?: unknown; // error body. 
}

Promise<SendTransactionResult | ProviderError>
```

### Errors

|       |                                            |                                |
| ----- | ------------------------------------------ | ------------------------------ |
| 1001  | User disconnect, need connect Auro Wallet. | Can not get connected account. |
| 1002  | user reject transaction.                   |                                |
| 20003 | The parameters were invalid.               | Please check address, fee.     |
| 23001 | Origin dismatch.                           | Check origin safe.             |

## Example

### Request

```typescript
const vaildatorAddress = "B62qq3TQ8AP7MFYPVtMx5tZGF3kWLJukfwG1A1RGvaBW1jfTPTkDBW6"
const fee = 0.011
const memo = ""

await window.mina?.sendStakeDelegation({
    to: vaildatorAddress,
    fee: fee, // option. If not use, can delet this params.
    memo: memo, // option. If not use, can delet this params.
}).catch((err: any) => err);
```

### Result

```typescript
// successful result.
{
  "hash": "CkpYTcQv2obKrD78X7QoHF9j3CfmQWNjNb8UFeDaCVRjcGZpUdxUz"
}

// user reject.
{
  "code": 1002,
  "message": "User rejected the request."
}

// can not get connect address.
{
  "code": 1001,
  "message": "User disconnect, please connect first."
}

// params check error. there check addres and fee.
{
  "code": 20003,
  "message": "Invalid method parameter(s)."
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sendstakedelegation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
